curl --request GET \
--url https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"capabilities": {
"canResubmit": true,
"editableFields": [
"<string>"
]
},
"createdAt": "2026-01-01T00:00:00.000Z",
"failureReasons": [
{
"fields": [
"profile.address"
],
"message": "Street address is not valid"
},
{
"fields": [
"profile.phone"
],
"message": "Mobile Phone Number not supported. Must be a Mobile Phone Number that can receive SMS messages."
}
],
"feedback": [
{
"category": "tax_id",
"message": "<string>"
}
],
"id": "<string>",
"profile": {
"address": {
"city": "<string>",
"postalCode": "<string>",
"state": "<string>",
"street": "<string>"
},
"companyName": "<string>",
"displayName": "<string>",
"einLast4": "<string>",
"email": "[email protected]",
"entityType": "private_profit",
"firstName": "<string>",
"lastName": "<string>",
"phoneLast4": "<string>",
"supportEmail": "[email protected]",
"type": "organization",
"vertical": "agriculture",
"website": "<string>"
},
"status": "submitting",
"updatedAt": "2026-01-01T00:00:00.000Z",
"registeredAt": "2026-01-01T00:00:00.000Z",
"submittedAt": "2026-01-01T00:00:00.000Z"
}
}{
"code": "NOT_AUTHENTICATED",
"status": 401,
"title": "Not Authenticated",
"type": "https://photon.codes/docs/problems/not-authenticated"
}{
"code": "FORBIDDEN",
"status": 403,
"title": "Forbidden",
"type": "https://photon.codes/docs/problems/forbidden"
}{
"code": "BRAND_NOT_FOUND",
"status": 404,
"title": "Brand Not Found",
"type": "https://photon.codes/docs/problems/brand-not-found"
}{
"code": "VALIDATION_FAILED",
"issues": [
{
"code": "invalid_type",
"location": "json",
"message": "Expected a string.",
"path": "/name"
}
],
"status": 422,
"title": "Request Validation Failed",
"type": "https://photon.codes/docs/problems/validation-failed"
}{
"code": "RATE_LIMITED",
"status": 429,
"title": "Too Many Requests",
"type": "https://photon.codes/docs/problems/rate-limited"
}{
"code": "INTERNAL_ERROR",
"status": 500,
"title": "Internal Server Error",
"type": "https://photon.codes/docs/problems/internal-error"
}{
"code": "SERVICE_FAILURE",
"status": 502,
"title": "Service Failure",
"type": "https://photon.codes/docs/problems/service-failure"
}{
"code": "SERVICE_UNAVAILABLE",
"status": 503,
"title": "Service Temporarily Unavailable",
"type": "https://photon.codes/docs/problems/service-unavailable"
}{
"code": "REQUEST_TIMEOUT",
"status": 504,
"title": "Request Timeout",
"type": "https://photon.codes/docs/problems/request-timeout"
}Get a redacted brand
Returns the redacted registration record for brandId within the selected organization. Use this representation to inspect registration state; it does not return every sensitive field originally submitted when the brand was registered. Supply organization_id for the organization that owns the registration.
curl --request GET \
--url https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"capabilities": {
"canResubmit": true,
"editableFields": [
"<string>"
]
},
"createdAt": "2026-01-01T00:00:00.000Z",
"failureReasons": [
{
"fields": [
"profile.address"
],
"message": "Street address is not valid"
},
{
"fields": [
"profile.phone"
],
"message": "Mobile Phone Number not supported. Must be a Mobile Phone Number that can receive SMS messages."
}
],
"feedback": [
{
"category": "tax_id",
"message": "<string>"
}
],
"id": "<string>",
"profile": {
"address": {
"city": "<string>",
"postalCode": "<string>",
"state": "<string>",
"street": "<string>"
},
"companyName": "<string>",
"displayName": "<string>",
"einLast4": "<string>",
"email": "[email protected]",
"entityType": "private_profit",
"firstName": "<string>",
"lastName": "<string>",
"phoneLast4": "<string>",
"supportEmail": "[email protected]",
"type": "organization",
"vertical": "agriculture",
"website": "<string>"
},
"status": "submitting",
"updatedAt": "2026-01-01T00:00:00.000Z",
"registeredAt": "2026-01-01T00:00:00.000Z",
"submittedAt": "2026-01-01T00:00:00.000Z"
}
}{
"code": "NOT_AUTHENTICATED",
"status": 401,
"title": "Not Authenticated",
"type": "https://photon.codes/docs/problems/not-authenticated"
}{
"code": "FORBIDDEN",
"status": 403,
"title": "Forbidden",
"type": "https://photon.codes/docs/problems/forbidden"
}{
"code": "BRAND_NOT_FOUND",
"status": 404,
"title": "Brand Not Found",
"type": "https://photon.codes/docs/problems/brand-not-found"
}{
"code": "VALIDATION_FAILED",
"issues": [
{
"code": "invalid_type",
"location": "json",
"message": "Expected a string.",
"path": "/name"
}
],
"status": 422,
"title": "Request Validation Failed",
"type": "https://photon.codes/docs/problems/validation-failed"
}{
"code": "RATE_LIMITED",
"status": 429,
"title": "Too Many Requests",
"type": "https://photon.codes/docs/problems/rate-limited"
}{
"code": "INTERNAL_ERROR",
"status": 500,
"title": "Internal Server Error",
"type": "https://photon.codes/docs/problems/internal-error"
}{
"code": "SERVICE_FAILURE",
"status": 502,
"title": "Service Failure",
"type": "https://photon.codes/docs/problems/service-failure"
}{
"code": "SERVICE_UNAVAILABLE",
"status": 503,
"title": "Service Temporarily Unavailable",
"type": "https://photon.codes/docs/problems/service-unavailable"
}{
"code": "REQUEST_TIMEOUT",
"status": 504,
"title": "Request Timeout",
"type": "https://photon.codes/docs/problems/request-timeout"
}Authorizations
Account Service Key, prefixed with pho_ask_, sent as Authorization: Bearer <key>. Acts on behalf of its owning account, subject to the permissions and credential restrictions of each operation. Account access tokens and OAuth grants also use the Bearer header. In organizations that require SSO, Account Service Keys are not accepted for managing the organization's SSO settings, deleting the organization, or checking whether it can be deleted.
Path Parameters
^pho_brd_[0-9a-z]{26}$^pho_org_[0-9a-z]{26}$Response
The redacted brand.
Show child attributes
Show child attributes
Was this page helpful?